Bug 250561 - w83627ehf sensor not supported by 2.6.18-8.1.8.el5 kernel
Summary: w83627ehf sensor not supported by 2.6.18-8.1.8.el5 kernel
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Peter Martuccelli
QA Contact: Red Hat Kernel QE team
URL: http://lists.lm-sensors.org/pipermail...
Whiteboard:
Keywords:
Depends On: 467994 557172
Blocks: 533192 5.5TechNotes-Updates
TreeView+ depends on / blocked
 
Reported: 2007-08-02 08:00 UTC by Frank Wang
Modified: 2010-11-22 23:12 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-03-30 07:45:32 UTC


Attachments (Terms of Use)
driver refresh from upstream (50.25 KB, patch)
2008-07-25 19:41 UTC, Brian Maly
no flags Details | Diff
driver update from upstream (50.15 KB, patch)
2008-07-28 18:56 UTC, Brian Maly
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0178 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 12:18:21 UTC

Description Frank Wang 2007-08-02 08:00:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; zh-CN; rv:1.8.0.12) Gecko/20070718 Fedora/1.5.0.12-4.fc6 Firefox/1.5.0.12

Description of problem:
 The sensors-detect in lm_sensors-2.10.0-3.1 finds w83627ehf, but the module can't be loaded. 

 [root@amd64 ~]# sensors
 Can't access procfs/sysfs file
 Unable to find i2c bus information;
 For 2.6 kernels, make sure you have mounted sysfs and libsensors
 was compiled with sysfs support!
 For older kernels, make sure you have done 'modprobe i2c-proc'!
 
 [root@amd64 ~]# modprobe w83627ehf
 FATAL: Error inserting w83627ehf (/lib/modules/2.6.18-8.1.8.el5/kernel/drivers/hwmon/w83627ehf.ko): No such device
 
     sensors-detect also ask me to append following to /etc/modprobe.conf and I did and rebooted without luck.
 #----cut here----
 # I2C module options
 alias char-major-89 i2c-dev
 #----cut here----


Version-Release number of selected component (if applicable):
kernel-2.6.18-8.1.8.el5

How reproducible:
Always


Steps to Reproduce:
1.boot kernel 2.6.18-8.1.8.el5
2.modprbe w83627ehf

Actual Results:
FATAL: Error inserting w83627ehf (/lib/modules/2.6.18-8.1.8.el5/kernel/drivers/hwmon/w83627ehf.ko): No such device

Expected Results:
module load correctly and prompt nothing

Additional info:
    Latest kernel in FC6 works with this sensor. 
[root@amd64 ~]# grep -v ^# /etc/sysconfig/lm_sensors
 MODULE_0=i2c-nforce2
 MODULE_1=w83627ehf
  
 [root@amd64 ~]# lspci
 00:00.0 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
 00:00.1 RAM memory: nVidia Corporation C51 Memory Controller 0 (rev a2)
 00:00.2 RAM memory: nVidia Corporation C51 Memory Controller 1 (rev a2)
 00:00.3 RAM memory: nVidia Corporation C51 Memory Controller 5 (rev a2)
 00:00.4 RAM memory: nVidia Corporation C51 Memory Controller 4 (rev a2)
 00:00.5 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
 00:00.6 RAM memory: nVidia Corporation C51 Memory Controller 3 (rev a2)
 00:00.7 RAM memory: nVidia Corporation C51 Memory Controller 2 (rev a2)
 00:02.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
 00:04.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
 00:09.0 RAM memory: nVidia Corporation MCP51 Host Bridge (rev a2)
 00:0a.0 ISA bridge: nVidia Corporation MCP51 LPC Bridge (rev a3)
 00:0a.1 SMBus: nVidia Corporation MCP51 SMBus (rev a3)
 00:0b.0 USB Controller: nVidia Corporation MCP51 USB Controller (rev a3)
 00:0b.1 USB Controller: nVidia Corporation MCP51 USB Controller (rev a3)
 00:0d.0 IDE interface: nVidia Corporation MCP51 IDE (rev f1)
 00:0e.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller (rev f1)
 00:10.0 PCI bridge: nVidia Corporation MCP51 PCI Bridge (rev a2)
 00:10.1 Audio device: nVidia Corporation MCP51 High Definition Audio (rev a2)
 00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
 00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
 00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
 00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
 02:00.0 VGA compatible controller: nVidia Corporation GeForce 7300 LE (rev a1)
 03:06.0 Multimedia controller: Philips Semiconductors SAA7130 Video Broadcast Decoder (rev 01)
 03:08.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev 02)

Comment 1 Phil Knirsch 2008-04-16 14:42:04 UTC
If the kernel already can't load the module this is more likely to be a kernel
problem than a lm_sensors problem, so i'm reassigning the bug to kernel.

Read ya, Phil

Comment 2 Brian Maly 2008-07-25 19:41:08 UTC
Created attachment 312670 [details]
driver refresh from upstream

Can someone possibly test this driver refresh patch on the affected hardware?

Comment 3 Brian Maly 2008-07-28 18:56:28 UTC
Created attachment 312808 [details]
driver update from upstream

new patch... fixed a simple build warning in prior patch.

Comment 5 Brian Maly 2009-02-23 15:52:02 UTC
Depends on drivers/hwmon update - BZ 467994

Comment 7 RHEL Product and Program Management 2009-04-23 17:49:17 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 11 Levente Farkas 2009-06-20 14:10:08 UTC
is there any chance that this will be in any 5.3 updates or only in 5.4. 
without this these sensors are not useable and there are many such motherboards:-(

Comment 12 Levente Farkas 2009-06-20 14:11:35 UTC
and as we can't access to 467994 we can't even manually patch these packages:-(

Comment 13 gijsbert.wiesenekker 2009-08-09 22:13:28 UTC
I posted a workaround for this issue on the Centos forums.

https://www.centos.org/modules/newbb/viewtopic.php?topic_id=21645&forum=38

Regards,
Gijsbert

Comment 14 RHEL Product and Program Management 2009-09-25 17:36:01 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 15 Don Zickus 2009-10-21 19:10:53 UTC
in kernel-2.6.18-170.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.

Comment 23 errata-xmlrpc 2010-03-30 07:45:32 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html


Note You need to log in before you can comment on or make changes to this bug.